=== debian/changelog ===
oregano (0.84.40+dfsg.1-1) unstable; urgency=medium

  * New upstream release (Closes: #875473)
  * Adopt into the Debian Electronics team (Closes: #890503)
    - Changed Maintainer, Uploaders, VCS urls.
    - Thanks, Maximiliano, for maintaining it many years!
  * DH level updated to 11
  * debian/changelog: Fix some whitespaces
  * debian/control:
    - Changes related to new maintainer
    - New upstream homepage
    - New standards version 4.2.1 - no changes
    - Update some build-dependencies
      - Drop the (build-)dependency against gnome-vfs (Closes: #868401)
      - Drop the build-dependency against scrollkeeper (Closes: #885614)
      - Added python since now built using 'waf'
  * debian/copyright:
    - HTTPS URL for Format field
    - Exclude a few model files with slightly troublesome licenses.
  * debian/gbp.conf: Added to enforce pristine-tar
  * debian/patches:
    - Refreshed patches and deleted outdated ones
    - New patch: 0003-Remove-Encoding-field-in-desktop-file.patch
    - New patch: debian/patches/0004-Spelling-fixes.patch
  * debian/README.source: Describe why the tarball is repacked
  * debian/repack-waf:
    - New script used by uscan/watch to repack tarball without
      binary 'waf'.
  * debian/rules:
    - Delete gschemas.compiled in install
    - Properly clean up in dh_clean
    - Update to call 'waf' to build the package
  * debian/watch:
    - Call debian/repack-waf
    - Mangle version adding +dfsg
    - New upstream URL

 -- Ruben Undheim <rubund@debian.org>  Sat, 13 Oct 2018 13:05:56 +0200
