## oregano 0.84.41+dfsg.1

=== wscript ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #! /usr/bin/env python3
 # encoding: utf-8
 
-VERSION = '0.84.40'
+VERSION = '0.84.41'
 APPNAME = 'oregano'
 
 top = '.'
