=== test/wscript ===
#! /usr/bin/env python3
# encoding: utf-8

def options(opt):
	pass

def configure(conf):
	pass

def build(bld):
	bld.program(
		features = ['c', 'glib2'],
		target = 'microtests',
		source = ['test.c'],
		includes = ['.', '../src', '../src/tools/', '../src/engines/', '../src/gplot/', '../src/model/', '../src/sheet/'],
		use = 'shared_objects',
		uselib = 'M XML GOBJECT GLIB GTK3 XML GOOCANVAS GTKSOURCEVIEW3'
	)
