=== debian/changelog ===
oregano (0.84.41+dfsg.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    - Build-depend on python3 instead of python2
    - New standards version 4.3.0 - no changes
  * debian/repack-waf:
    - Fixes since waf filename has changed

 -- Ruben Undheim <rubund@debian.org>  Tue, 29 Jan 2019 15:36:16 +0000
