=== debian/control ===
--- 
+++ 
@@ -15,8 +15,8 @@
                libx11-dev,
                libxml2-dev,
                libxrender-dev (>= 0.6.0),
-               python
-Standards-Version: 4.2.1
+               python3
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/electronics-team/oregano
 Vcs-Git: https://salsa.debian.org/electronics-team/oregano.git
 Homepage: https://github.com/drahnr/oregano
