=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export DEB_BUILD_MAINT_OPTIONS = hardening=+all


LDFLAGS += -lcairo

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	./waf configure --debug --prefix=/usr

override_dh_auto_build:
	./waf build --debug --prefix=/usr

override_dh_auto_install:
	./waf install --destdir=debian/oregano --prefix=/usr
	$(RM) debian/oregano/usr/share/glib-2.0/schemas/gschemas.compiled

override_dh_clean:
	dh_clean
	find waflib/ -name "*.pyc" -delete
	$(RM) .lock-waf_linux2_build
	$(RM) -r build
